Subject: [RESENDING] [PATCH 07/22] ASoC: Ux500: Initialise PCM from MSP probe rather than as a device

From: [email-masked] (Lee Jones)
Date: Thu, 20 Sep 2012 14:52:59 +0200

> > Can we have some closure on this patch please, as it's blocking the
> > patch-set? I'm fairly sure the patch is doing the correct thing, as
> > seconded by Mark.
> 
> I still don't like this. It is the dai_link-struct that bothers me. We have
> "ux500-msp-i2s.1" as name of the platform AND the cpu_dai. The MSP I2S-block is
> not the platform and it is certainly not both platform and cpu-DAI at the same time.
> Mark: Did you have a solution for this? Couldn't we just put NULL on the
> platform_name instead?

There are other drivers which do this already. 

I don't think it's an issue to do this.

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog